NAME
OpenAPI::Client::OpenAI::Path::audio-voice_consents-consent_id - Documentation for the /audio/voice_consents/{consent_id} path.
OPERATIONS
DELETE /audio/voice_consents/{consent_id}
deleteVoiceConsent
$client->delete_voice_consent({
body => { ... },
});
Deletes a voice consent recording.
Delete a consent recording that was uploaded for creating custom voices.
See the custom voices guide . Custom voices are limited to eligible customers.
Path/query parameters
consent_id(in path, required, string) - The ID of the consent recording to delete.
Responses
200 - OK
Content-Type: application/json
Example:
{
"deleted" : true,
"id" : "cons_1234",
"object" : "audio.voice_consent"
}
GET /audio/voice_consents/{consent_id}
getVoiceConsent
$client->get_voice_consent({
body => { ... },
});
Retrieves a voice consent recording.
Retrieve consent recording metadata used for creating custom voices.
See the custom voices guide . Custom voices are limited to eligible customers.
Path/query parameters
consent_id(in path, required, string) - The ID of the consent recording to retrieve.
Responses
200 - OK
Content-Type: application/json
Example:
{
"created_at" : 1734220800,
"id" : "cons_1234",
"language" : "en-US",
"name" : "John Doe",
"object" : "audio.voice_consent"
}
POST /audio/voice_consents/{consent_id}
updateVoiceConsent
$client->update_voice_consent({
body => { ... },
});
Updates a voice consent recording (metadata only).
Update consent recording metadata used for creating custom voices. This endpoint updates metadata only and does not replace the underlying audio.
See the custom voices guide . Custom voices are limited to eligible customers.
Path/query parameters
consent_id(in path, required, string) - The ID of the consent recording to update.
Responses
200 - OK
Content-Type: application/json
Example:
{
"created_at" : 1734220800,
"id" : "cons_1234",
"language" : "en-US",
"name" : "John Doe",
"object" : "audio.voice_consent"
}
SCHEMAS
UpdateVoiceConsentRequest
Properties:
name(string, required) - The updated label for this consent recording.
VoiceConsentDeletedResource
Properties:
deleted(boolean, required)id(string, required) - The consent recording identifier.object(string, required)Allowed values: audio.voice_consent
VoiceConsentResource
Properties:
created_at(integer, required) - The Unix timestamp (in seconds) for when the consent recording was created.id(string, required) - The consent recording identifier.language(string, required) - The BCP 47 language tag for the consent phrase (for example,en-US).name(string, required) - The label provided when the consent recording was uploaded.object(string, required) - The object type, which is alwaysaudio.voice_consent.Allowed values: audio.voice_consent
SEE ALSO
COPYRIGHT AND LICENSE
Copyright (C) 2023-2026 by Nelson Ferraz
This library is free software; you can redistribute it and/or modify it under the same terms as Perl itself, either Perl version 5.14.0 or, at your option, any later version of Perl 5 you may have available.